System.ServiceModel 4.0.0.0 System.ServiceModel.Syndication.ServiceDocumentFormatter System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("service", Namespace="http://www.w3.org/2007/app")

Use this class to serialize instances of to XML and to generate instances of from an XML document. If you want to serialize or deserialized an object derived from , use the formatter instead.

A formatter that serializes a instance to and from XML using Atom 1.0 formats.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the Atom 1.0-based class.

- Constructor
  4.0.0.0

  The can be serialized to an XML representation or deserialized from an XML representation by the formatter using Atom 1.0 formats.

  Creates a new instance of the Atom 1.0-based class to serialize a specified service document.

  The associated with the Atom 1.0 formatter.
- Constructor
  4.0.0.0

  The can be serialized to an XML representation or deserialized from an XML representation by the formatter using Atom 1.0 formats.

  Creates a new instance of the Atom 1.0-based class.

  The instance of an object that is derived from a type that is associated with the Atom 1.0 formatter.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Tests whether the specified XML reader contains a valid service document.

  true if the XML reader does contain a valid service document; otherwise false.

  The XML reader.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.ServiceDocument To be added.

  Creates a new instance associated with the Atom 1.0 formatter.

  Returns an instance of a .

- Method
  4.0.0.0
  System.Void `` To be added.

  Generates a object from a specified XML reader.

  The XML reader from which to read the syndication feed.
- Method
  4.0.0.0
  System.Xml.Schema.XmlSchema

  Explicitly implements the method.

  This method is reserved and should not be used.

  Returns null.

- Method
  4.0.0.0
  System.Void ``

  Explicitly implements the method.

  Generates a from its XML representation.

  The stream from which the object is deserialized.
- Method
  4.0.0.0
  System.Void ``

  Explicitly implements the method.

  Converts the into its XML representation.

  The stream to which the object is serialized.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of Atom Publishing Protocol namespace.

- Method
  4.0.0.0
  System.Void `` To be added.

  Writes a object associated with the formatter to a specified XML writer.

  The XML writer written to by the formatter.